- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::MethodStatistics Class Reference

Store statistics about method calls. More...

`#include <stats.hpp>`

## Public Member Functions
| MethodStatistics ()
| Constructor. More...
| MethodStatistics (unsigned count, MinMaxSum wall, MinMaxSum user, MinMaxSum system)
| Constructor and Set. More...
void | push (float wall, float user, float system)
| Add value for all tree statistics values. More...
const MinMaxSum & | wall () const
| Get wall MinMaxSum value. More...
const MinMaxSum & | user () const
| Get user MinMaxSum value. More...
const MinMaxSum & | system () const
| Get system MinMaxSum value. More...
const unsigned int & | count () const
| Get number of value added. More...
void | reset ()
| Reset all value to 0 (count and MinMaxSum of all 3 statistics values) More...

## Detailed Description

Store statistics about method calls.

Definition at line 78 of file stats.hpp.

## Constructor & Destructor Documentation

qi::MethodStatistics::MethodStatistics | ( |  | ) |
| inline

Constructor.

Definition at line 82 of file stats.hpp.

qi::MethodStatistics::MethodStatistics | ( | unsigned | count,
|  | MinMaxSum | wall,
|  | MinMaxSum | user,
|  | MinMaxSum | system
| ) |  |
| inline

Constructor and Set.

Parameters

  count | Number of value added.
  wall | Wall statistics.
  user | User statistics.
  system | System statistics.

Definition at line 91 of file stats.hpp.

## Member Function Documentation

const unsigned int& qi::MethodStatistics::count | ( |  | ) | const
| inline

Get number of value added.

Returns
  Return number of value pushed.

Definition at line 131 of file stats.hpp.

void qi::MethodStatistics::push | ( | float | wall,
|  | float | user,
|  | float | system
| ) |  |
| inline

Add value for all tree statistics values.

If it's the fist time that push is call, min, max and cumulated will be set to the value added.

Parameters

  wall | Value to add to wall statistics.
  user | Value to add to user statistics.
  system | Value to add to system statistics.

Definition at line 105 of file stats.hpp.

void qi::MethodStatistics::reset | ( |  | ) |
| inline

Reset all value to 0 (count and MinMaxSum of all 3 statistics values)

Definition at line 135 of file stats.hpp.

const MinMaxSum& qi::MethodStatistics::system | ( |  | ) | const
| inline

Get system MinMaxSum value.

Returns
  Return MinMaxSum value.

Definition at line 126 of file stats.hpp.

const MinMaxSum& qi::MethodStatistics::user | ( |  | ) | const
| inline

Get user MinMaxSum value.

Returns
  Return MinMaxSum value.

Definition at line 121 of file stats.hpp.

const MinMaxSum& qi::MethodStatistics::wall | ( |  | ) | const
| inline

Get wall MinMaxSum value.

Returns
  Return MinMaxSum value.

Definition at line 116 of file stats.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/stats.hpp